function OTe(a){this.a=a}
function VTe(a,b){_Se(a.a,b)}
function WTe(a,b){$Se(a.a,b)}
function nsk(){MYe(this.b,new OTe(this))}
function m$e(a){var b;if(!a.d){b=new XTe;a.d=b}return a.d}
function l$e(a){var b;if(!a.c){b=new MTe(QEd(Nbe(a.a)),m$e(a),k$e(a),(snj(sde(a.a)),kLg(Gce(a.a))),w0i(qde(a.a)));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.c=b}return a.c}
function XTe(){this.a=new aTe(x1j);ZSe(this.a,(PXd(),'A named network interface, along with required criteria for determining the IP address to associate with that interface.'))}
function MTe(a,b,d,e){var g,i,j;GFd.call(this,a,b,d);this.c=e;g=new r7i;g.b=new Rkj;this.b=new NYe(g);j=new K_i(ilb);i=new v_i(ilb,(yAh(),tAh).Mc(ilb),xAh.Mc(ilb));this.a=new ATe(j,i);yTe(this.a,this)}
f3c(2101,1006,Kxj,MTe);_.yl=function(){var a;a=new r7i;a.b=new Rkj;return a};_.zl=nsk;_.Qi=function(){VTe(this.A,this.a)};_.Vi=nsk;_.Zi=function(){quf(this.c,this)};f3c(2102,1293,{},OTe);_.dh=function(a){WTe(this.a.A,a)};f3c(2105,1410,Jxj,XTe);_.Ah=function(){return YSe(this.a)};f3c(2215,1,qyj);_.pd=function(){yGd(this.b,l$e(this.a.a))};var Gjb=wNd(2101),Djb=wNd(2102),Hjb=wNd(2105);ezj(hp)(9);